* {
  box-sizing: border-box;
}

:root {
  --color-primary: var(--indigo-6);
  --color-secondary: var(--indigo-4);
}

body,
html {
  margin: 0;
  padding: 0;
}

html {
  height: 100%;
  width: 100%;
}

body {
  min-height: 100%;
  min-width: 100%;
  max-height: 100%;
  height: 100%;
  overflow: hidden;
}

body {
  font-size: 16px;
  font-family: Arial, sans-serif;
}

#app {
  display: flex;
  flex-direction: column;
  height: 100%;
}

#form-editor-header {
  display: flex;
  width: 100%;
}

#form-editor-header h3 {
  width: 100%;
  margin: 0 0 1em 0;
}

#form-editor {
  display: flex;
  padding: 1em;
  justify-content: space-between;
  flex-direction: column;
  width: 100%;
  height: 100%;
  overflow: auto;
}

#form-editor-info {
  display: flex;
  flex-direction: column;
  gap: 1em;
  align-items: center;
}

#form-wrapper {
  display: flex;
  height: calc(100% - 50px);
}

#form-sidebar {
  display: flex;
  flex-direction: column;
  gap: 1em;
  padding: 1em;
  height: 100%;
  background: var(--blue-11);
  overflow: auto;
}

#form-sidebar a {
  color: white;
}

.sidebar-list {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}

.sidebar-header {
  display: flex;
  color: white;
  font-size: 1.25em;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid var(--blue-3);
}

#tool-bar h3 {
  margin: 0;
  color: white;
}

#tool-bar {
  display: flex;
  padding: 0.5em 1em;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 50px;
  background: var(--blue-10);
}

.tool-bar-items {
  display: flex;
  gap: 0.5em;
  flex-direction: row;
  align-items: center;
}

.section-header {
  display: flex;
  width: 100%;
  margin: 0 0 0.5em 0;
  font-size: 1.5em;
  font-weight: bold;
  justify-content: space-between;
}

.language-column {
  width: 100%;
}

.section-row {
  display: flex;
  width: 100%;
  flex-direction: column;
  padding: 1em;
  margin: 0 0 1em;
  border-radius: 6px;
  color: var(--muted-fg);
  border: 1px solid var(--blue-3);
  background: var(--blue-0);
}

.options-section {
  display: flex;
  width: 100%;
}

.language-section {
  display: flex;
  width: 100%;
  flex-direction: column;
}

.option-header {
  display: flex;
  width: 100%;
  padding: 0 0.5em;
  align-items: center;
  justify-content: space-between;
}

.option-cell {
  display: flex;
  flex-direction: column;
  gap: 0.25em;
  padding: 0.5em 0.25em;
  width: 100%;
}

label {
  width: 100%;
  font-weight: bold;
}

textarea {
  width: 100%;
  min-height: 100px;
}

textarea.empty {
  border: 2px solid red;
}

textarea.changed {
  border: 2px solid var(--accent);
}

input[type="file"] {
  padding: 0.25em;
  background: var(--bg);
  color: var(--fg);
  border-radius: 4px;
}

button {
  box-shadow: 0 0 0 0;
}

.reset-button {
  max-width: fit-content;
  cursor: pointer;
}

:target {
  outline: 1px solid var(--muted-fg);
  padding: 0.25em;
  border-radius: 4px;
  z-index: 2;
}

.reset-button {
  max-width: fit-content;
  cursor: pointer;
  padding: 0;
  font-size: 1.5em;
  line-height: 1;
  height: 28px;
  background: none;
  border: none;
}

.reset-button:hover {
  color: var(--accent);
  background: none;
  border: none;
  line-height: 1;
  height: 28px;
  font-size: 1.75em;
  box-shadow: none !important;
}
